﻿<UserControl x:Class="LabKPZDB.View.ContractsView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:LabKPZDB.View"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid>
        <DataGrid x:Name="ContractsNameGrid" Height="Auto"  AutoGenerateColumns="False" 
                  ItemsSource="{Binding ContractsDataView, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged}"
                   SelectedItem="{Binding Path=SelectedItem, Mode=TwoWay}">

            <DataGrid.Columns>
                <DataGridTextColumn Header="Tariff id" Binding="{Binding Path=tariffId, Mode=TwoWay}"/>
                <DataGridTextColumn Header="Sid" Binding="{Binding Path=sid, Mode=TwoWay}"/>
                <DataGridTextColumn Header="Sold router id" Binding="{Binding Path=brssid, Mode=TwoWay}"/>
                <DataGridTextColumn Header="Rented router id" Binding="{Binding Path=brsrid, Mode=TwoWay}"/>
                <DataGridTextColumn Header="Contract signed" Binding="{Binding Path=contractSigned, Mode=TwoWay}"/>
                <DataGridTextColumn Header="Contract term" Binding="{Binding Path=contractTerm, Mode=TwoWay}"/>
                <DataGridTextColumn Header="Contract is valid" Binding="{Binding Path=contractIsValid, Mode=TwoWay}"/>

            </DataGrid.Columns>

        </DataGrid>
    </Grid>
</UserControl>
